- connection: local
  gather_facts: false
  hosts: localhost
#- connection: ssh
#  gather_facts: false
#  hosts: 120.26.166.127
#  remote_user: root
  vars:
    path: /tmp/cqaso-mobile-dev/
    id_rsa: ../.ssh_rsa
    Thost: 121.41.91.93
    Tuser: root
    AppName: cqaso-mobile
    version: dev
    port: 9091
    repo: git@gitlab.com:chuangqi/cqaso-mobile.git
  tasks:
    - name: delete "{{ path }}" old file
      shell: ls "{{ path }}" && rm -rf {{ path }}/* || mkdir "{{ path }}"

    - name: Update "{{ AppName }}" from gitlab.
      git:
        clone: true
        dest: "{{ path }}"
        force: true
        key_file: "{{ id_rsa }}"
        repo: "{{ repo }}"
        ssh_opts: -o StrictHostKeyChecking=no
        update: true
        version: "{{ version }}"
      register: gitClone_out

    - name: Install dependencies packages with yarn
      shell: yarn install --force
      args:
        chdir: "{{ path }}"
      register: yinstall_out
      
    - name: print yarn install result
      debug: var=yinstall_out.stdout verbosity=0
      
    - name: webpack "{{ AppName }}"
      shell: yarn run dev
      args:
        chdir: "{{ path }}"
      register: yrun_out
      #when: yinstall_out | success
      when: yinstall_out["rc"] == 0

    - name: achived The relevant documents
      shell: tar -zcvf /tmp/release/{{ AppName }}-{{ version }}-new.tar.gz dist static package.json ecosystem.json
      args:
        chdir: "{{ path }}"
    
    - name: scp test
      shell: scp -P6677 /tmp/release/{{ AppName }}-{{ version }}-new.tar.gz {{ Tuser }}@{{ Thost }}:/root;
      args:
        chdir: "{{ path }}"

    - name: new version archive
      shell: mv {{ AppName }}-{{ version }}-new.tar.gz  {{ AppName }}-{{ version }}-new-`date +%Y%m%d%H%M%S`
      args:
        chdir: /tmp/release/
